WordPress.org

Plugin Directory

Blubrry PowerPress Podcasting plugin MultiSite add-on

Add MultiSite functionality for managing PowerPress, requires MultiSite and PowerPress.

Add MultiSite functionality for managing PowerPress, requires MultiSite 3.8 or newer and PowerPress 5.0.7 or newer.

PowerPress MultiSite Features

  • Services and Statistics Management: Manage each site's services and statistics from the network level
  • Disable Services and Statistics: Disable the services and statistics settings in network sites (so your site users cannot modify them)
  • More features on the way. Have a feature suggestion, please let us know: Contact Blubrry

REQUIREMENTS

  • Requres PowerPress 5.0.7 or newer
  • WordPress MultiSite 3.8 or newer

Requires: 3.7 or higher
Compatible up to: 3.8.8
Last Updated: 2014-7-1
Active Installs: 80+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.